Attribute VB_Name = "StopUhr"
Public Declare Sub GetLocalTime Lib "kernel32.dll" (lpSystemTime As SYSTEMTIME)
 
Public Declare Function SetTimer Lib "user32.dll" ( _
  ByVal hWnd As Long, _
  ByVal nIDEvent As Long, _
  ByVal uElapse As Long, _
  ByVal lpTimerFunc As Long) As Long
 
Public Declare Function KillTimer Lib "user32.dll" ( _
  ByVal hWnd As Long, _
  ByVal nIDEvent As Long) As Long
 
Const WM_TIMER = &H113 ' Timer-Ereignis trifft ein
 
Public Type SYSTEMTIME
  wYear As Integer
  wMonth As Integer
  wDayOfWeek As Integer
  wDay As Integer
  wHour As Integer
  wMinute As Integer
  wSecond As Integer
  wMilliseconds As Integer
End Type
 
Private hEvent As Long

' Timer-Prozedur, welche im Abstand der festgelegten
' Millisekunden ein Ereignis sendet
Public Sub TimerProc(ByVal hWnd As Long, ByVal uMsg As Long, _
  ByVal wParam As Long, ByVal lParam As Long)
 
  If uMsg = WM_TIMER Then
    ' Lokale Zeit ermitteln...

    ' ... und im Labelfeld der Form anzeigen
    Form1.LabelZeit.Caption = TimeMS / 1000 'Format$(ST.wHour, "00:") & _
      Format$(ST.wMinute, "00:") & Format$(ST.wSecond, "00:") & Formtat$(ST.wMilliseconds, "00")
  End If
End Sub

' Startet den Timer
Public Function EnableTimer(ByVal msInterval As Long)
  If hEvent <> 0 Then Exit Function
  hEvent = SetTimer(0&, 0&, msInterval, AddressOf TimerProc)
End Function

' Beendet den Timer
Public Function DisableTimer()
  If hEvent = 0 Then Exit Function
  KillTimer 0&, hEvent
  hEvent = 0
End Function

Public Function GetTime() As Double
    Dim ST As SYSTEMTIME
    Dim TimeMS As Long
    GetLocalTime ST
    TimeMS = ST.wMinute
    TimeMS = TimeMS * 60
    TimeMS = TimeMS + ST.wSecond
    TimeMS = TimeMS * 1000 + ST.wMilliseconds
    GetTime = TimeMS / 1000
End Function
