Attribute VB_Name = "Functions"


Public Function isSheet(Worksheetname As String) As Boolean
Dim objWorksheet As Worksheet
  For Each objWorksheet In ActiveWorkbook.Worksheets
    If objWorksheet.Name = Worksheetname Then isSheet = True: Exit For
  Next
End Function



Function ActivateWorkbook(ByVal tName As String) As Boolean
Dim oWorkbook As Object
 
ActivateWorkbook = False
' Prfen ob Datei bereits geffnet ist
With Application
  For Each oWorkbook In .Workbooks
    If oWorkbook.Name = tName Then
      ' Jetzt aktivieren
      Windows(oWorkbook.Name).Activate
      ActivateWorkbook = True
      Exit For
    End If
  Next
End With
End Function


' GetExcelCol
' Recordsetindex in eine Excelspalte "umrechnen"
' z.B. 4 => "D", 27 => "AA"
'
' bInitialCall gibt an, ob die Zhlung bei 0 (False)
' oder bei 1 erfolgen soll (bInitialCall = True)
Public Function GetExcelCol(ByVal lIdx As Long, _
  Optional ByVal bInitialCall As Boolean = True) As String
 
  If (bInitialCall) Then lIdx = lIdx + 1
  If (lIdx = 0) Then Exit Function
  GetExcelCol = GetExcelCol((lIdx - 1) \ 26, False) + _
    Chr(65 + (lIdx - 1) Mod 26)
End Function

Public Function GetColN(ByVal Idx As Long)
GetColN = GetExcelCol(Idx - 1)
End Function
 
' GetIndexOfExcelCol
' Excelspalte in Recordsetindex "umrechnen"
' z.B. "D" => 4, "AA" => 27
Public Function GetIndexOfExcelCol(ByVal strCol As String, _
  Optional ByVal slevel As Integer = 0, _
  Optional ByVal bInitialCall As Boolean = True) As Long
 
  If (slevel = Len(strCol)) Then Exit Function
  GetIndexOfExcelCol = GetIndexOfExcelCol(strCol, _
    slevel + 1, False) + ((Asc(Mid(strCol, Len(strCol) - _
    slevel, 1)) - 65) + 1) * 26 ^ slevel + _
    IIf(bInitialCall, -1, 0)
End Function


Public Sub array_push(ArrayName() As String, ByVal Element As String)
    ' Make Sure The Variable Passed Is An Array
    If IsArray(ArrayName) = False Then Exit Sub
    ' If We Get An Error Here, it's Probably Because the Array
    ' is dimensioned with no values set, so just make the first element
    On Error GoTo make_it
    ' Allocate A New Array Slot
    ReDim Preserve ArrayName(UBound(ArrayName()) + 1)
    ' Set The Value Of The New Array Indice To Element
    ArrayName(UBound(ArrayName())) = Element
    Exit Sub
    
make_it: ' Code Will Only Jump Here "on error"
    ReDim ArrayName(0)
    ArrayName(0) = Element
End Sub
