Attribute VB_Name = "PublicDef"
Public Type tyTy
mfrac As Double
Vfrac As Double
nfrac As Double
RON As Double
Pi As Double
ci As Double
End Type

Public Type tyVal
value As Long
Produkt As tyTy
Edukt As tyTy
Gesamt As tyTy
Group As String
End Type

Public TWorkbook As Workbook

Public DateiVorlage As String
Public Const gcPeakMax As Long = 7700000 ' Schwellwert zur berladung von Peaks
Public Const RVPA As Double = 2799
Public Const RVPB As Double = 2.227
Public Const RVPC As Double = 7261
Public Const RVPD As Double = 12.82
Public Const bar2psi As Double = 14.504 'Umrechnung von bar nach psi
Public Const T_RVP As Double = 273.15 + 37.8 'Reid Vapour Pressure definiert bei 37.8 C

Public AnzKompMax As Integer
Public Self As Object, WBSelf As Object
Public StoffPath As String
Public Version As String
Public VerDatum As String
Public Texter(7) As String
Public SampleNames() As String
Public Addy As Integer
Public komp() As tyKomp
Public KompVarian() As String
Public AnzKomp As Byte, AnzKompVorlage As Byte
Public AnzMess As Byte
Public OldAdresse As Byte
Public KompAdresse() As Integer
Public Values() As tyVal
Public Vorlage As Workbook
Public isOverload() As Boolean
Public SumArea() As Long, _
    SumProduct() As Long, _
    Erg() As Double, _
    Area_STD() As Long, _
    Names() As String

    
Public ErrorCount As Byte, _
        Error As Byte
    
Public MissKomp As String
Public tp As String
    
Public C3 As String, _
    C4 As String, _
    C5 As String, _
    C6 As String, _
    C7 As String, _
    C5_7 As String, _
    DMH As String, _
    C8 As String, _
    C9 As String, _
    C10 As String, _
    Olefine As String, _
    IsoParafine As String, _
    Parafine As String
    
Public Cmin As Byte, Cmax As Byte, AllOverload As Boolean, CalcType As String, CreateGraph
    
Public idx_1Buten As Byte, _
    idx_cButen2 As Byte, _
    idx_tButen2 As Byte, _
    idx_Buten1 As Byte, _
    idx_iButen As Byte, _
    idx_iButan As Byte, _
    idx_nButan As Byte, _
    idx_STD As Byte, _
    idx_Cat As Byte, _
    idx_224TMP As Byte, _
    idx_223TMP As Byte, _
    idx_234TMP As Byte, _
    idx_233TMP As Byte, _
    idx_iC9 As Byte, _
    idx_iC10 As Byte, _
    idx_iC11 As Byte, _
    idx_iC12 As Byte, _
    idx_iC13 As Byte, _
    idx_iC14 As Byte, _
    idx_iC15 As Byte, _
    idx_iC16 As Byte, _
    idx_oC6 As Byte, _
    idx_oC7 As Byte, _
    idx_oC8 As Byte

Public iButan As tyKomp, _
    cButen2 As tyKomp, _
    tButen2 As tyKomp, _
    Buten1 As tyKomp, _
    iButen As tyKomp, _
    STD As tyKomp, _
    Cat As tyKomp, _
    tmpKomp As tyKomp, _
    TMP224 As tyKomp, _
    TMP223 As tyKomp, _
    TMP234 As tyKomp, _
    TMP233 As tyKomp, _
    curKomp As tyKomp, _
    Ethanol As tyKomp, _
    Isopropanol As tyKomp

Public mp_cButen2_ein As Double, _
    mp_tButen2_ein As Double, _
    mp_iButan_ein As Double, _
    mp_Buten1_ein As Double, _
    mp_Buten_ein As Double, _
    mges_ein As Double, _
    mp_STD_ein As Double, _
    mp_CAT_ein As Double, _
    PO_ein As Double, _
    mp_STD() As Double, _
    mp_Buten_aus() As Double, _
    mp_iButan_aus() As Double, _
    mp_Buten_aus50() As Double, _
    mp_Buten_ausVar() As Double, _
    Temp() As Double, _
    Time() As Double, _
    Feed() As Double
Public np_Buten_ein As Double, np_STD_ein As Double, np_iButan_ein As Double
Public c_2Buten_ein As Double, c_iButan_ein As Double
Public rho_ein As Double, Molar_ein As Double, c_ges As Double
Public A As String
Public Testi As String

Public Const SumGesamt = 0, _
    SumProdukt = 1, _
    SumEdukt = 2, _
    SumMasse = 3, _
    U_cButen = 4, _
    U_nButen = 5, _
    U_mButen = 6, _
    S_C5_7 = 7, _
    S_Isopentan = 8, _
    S_23DMButan = 9, _
    S_TMP = 10, _
    S_224TMP = 11, _
    S_223TMP = 12, _
    S_234TMP = 13, _
    S_233TMP = 14, _
    S_DMH = 15, _
    S_C8 = 16, _
    S_C9 = 17, _
    S_C10 = 18, _
    G_RON = 19, _
    P_RON = 20, _
    PSumP = 21, _
    SUM_P = 22, _
    SUM_I = 23, _
    SUM_O = 24
Public Const A_Alkylat = 24, _
    RONP = 32, _
    nSum = 24, _
    VSum = 25, _
    mSum = 26, _
    nSumP = 27, _
    VSumP = 28, _
    PSum = 29, _
    ec_iButan = 34, _
    ec_2Buten = 35, _
    ec_C3 = 36, _
    U_Buten_204 = 25, _
    Idx_TOF = 22, _
    idx_TON = 23
Public Const SumProduktNOP = 28 ' Summe aller Produkte die nicht ins Spektrum gehren C3 und C11+
Public Const mfracProdAlkylat = 29 ' massenanteil der Produkte am Alkylat
Public Const U_Buten_50 = 23
Public Const U_Buten_Var = 31
Public IsIntegral As Byte, IsLiquid As Byte
Public DiffMess As Byte
Public Const AnzErg = 32 'Maximales Element das in tmp ausgegeben wird
Public Const AnzPrint = 21 'Maximales Element das in Erg ausgegeben wird

Public ErgNames(AnzErg) As String
Public iIso_Pentan As Integer

Public Const ROW_Namen = 5
Public Const ROW_Edukte = ROW_Namen + 1
Public Const ROW_Mess = ROW_Edukte + 1
Public Const COL_Namen = 6

Public Const COL_SumAll = 1
Public Const COL_SumEdukte = 2
Public Const COL_SumNOProdukte = 3
Public Const COL_SumProdukte = 4, COL_SumAllProdukte = 5

Public hilf As Double, Adresse As String, GetAdresse As String, I As Integer, K As Integer, N As Integer, H As Long
Public tmp As Double
Public Err As Integer
Public Gesamt As Long
Public Area_Komp As Long
Public SetC As Boolean, SetVP As Boolean, SetNP As Boolean, SetDGL As Boolean, SetErgX As Boolean, SetTempAbb As Boolean, SetChart As Boolean, SetTimeAbb As Boolean
Public SetFeedAbb As Boolean
Public SetBatch As Boolean
'----------------------------------------------------------SheetFX---------------------------------------------------

Public Type tystrVec
Vec() As String
Len As Byte
End Type

Public SetCP As Boolean
Public StartC(9 To 17) As Byte
Public ColA As String, ColB As String
Public Const idxMPName = 1, idxMPRON = 2, idxMPMolar = 3, idxMPrho = 4, idxMPRVP = 5
Public SumEdukte As String, SumProdukteNOP As String
Public EdukteVec() As String, NOProdukteVec() As String, C(3 To 10) As tystrVec, CatVec() As String, ProduktVec() As String _
        , LMVec() As String, ParaffineVec() As String, OlefineVec() As String, IsoVec() As String, DMHVec() As String, TMPVec() As String
Public RonCmin As Byte, RonCmax As Byte, TempCol As Byte, Temp0Row As Byte, TimeCol As Byte, ValueRow As Byte, CaptionRow As Byte, FeedCol As Byte

