Attribute VB_Name = "SheetFx"
'V 2.08 1.8.2011
' Prtokoll mit aufgenommen in denen die Start und End werte (z.B m-Produkt) stehen.
' NamesDef in SetProtokollNames()
'TO DO: 1: Protokoll in Vorlage; Kopieren in den Sheet;
        '2: Berechnungsfehler bei TON/TOF; 3: Ausbeute Alkylat
' Fehler Index bei nicht bekannten Verbindungen ein increment zu hoch in tmp.
' m%-Umsatz wieder aufgenommen, Massensumme aufegenommen.
' Masse = Feed_X * delta t aufgenommen in ErgX
' TMPLATE enthlt information ob Integrales Sample in 2,3 und Liquid Sample in 3,3 sowie der m% des Produkts
' Batch wird eingefhrt
        

'V 2.07 16.7.2011
'Formelkorrektur U_204 in Erg X: (mp_2Buten-mp_2Buten" & K [Bezogen auf Verbrauchtes 2Buten)

' V 2.06 8.3.2011
' Isopentan und 2,3-DM-Butan in ErgX
' Kleinere Fehler
' V_reaktor mit 10 ml in die TM_Plate
' Temp Berechnung und Massenstrom berechnung
'



' V2.05
' Time_x in ErgX
' Temp in Erg X



' V2.04 6.2.2011
' bertragung in Alkylierung.xla
' ReDim Feed(AnzMess) as Double
' Funktion cp(T)
' Flag konstanten nicht definiert
' Err.number nicht definniert

' V2.03
'4.2.2011
' TON und TOF berehcnung
' Temp und Time bekommen namen Time_K
' Verbesserungen in der Vorlage.xls
' Einfgen verschiedener Messwerte in TM_plate ->SetNames()


' V 2.02
' 28.1.2011
' Dichte wird in abhnigkeit der Temperatur berechnet
' RON wird von C5-C11
' SortTemplate muss + 2 Sein da die Konzentration = eingefgt wird
' GetTemp nach einfgeschritt reihe.
' GetTime eingefgt prft ob eins wenn nein steht die Zeit drin
' Kopieren der Zeitwerte in c, m%, n%, v%, ErgX

' V 2.01
' LKopieren von ERgx in Zusammenfassunng
' Przessieren von meheren Dateien hintereinander

' V 2.00 beta 18.1.2011 S.Aschauer
' Berechnung von Excel

 
Sub SetProdukt()
For I = 0 To AnzKomp
    With komp(KompAdresse(I))
    If IsProduct(.Group) And ( _
        ((Cmin > .C) Or _
        (Cmax < .C))) Then .Group = "NOP" 'Definieren der Alkylgrenzen C3/C5 und C11/C16
    End With
Next
End Sub

Sub SetTime()
For K = 2 To AnzMess + 1
    Sheets("c").Cells(K + 1, COL_Namen - 1).Formula = "=Time_" & (K - 1)
    Sheets("n%").Cells(K, COL_Namen - 1).Formula = "=Time_" & (K - 1)
    Sheets("v%").Cells(K, COL_Namen - 1).Formula = "=Time_" & (K - 1)
    Sheets("ErgX").Cells(K + 1, 2).Formula = "=Time_" & (K - 1)
    Sheets("m%").Cells(K - 1 + ROW_Edukte, COL_Namen - 1).Formula = "=Time_" & (K - 1)
Next
End Sub



Sub SetGroups()
Erase C
Erase DMHVec
Erase EdukteVec
Erase IsoVec
Erase NOProdukteVec
Erase TMPVec
Erase ProduktVec
Erase TMPVec
Erase CatVec
Erase LMVec
Dim ColName As String, hIdx As Integer
For I = 0 To AnzKomp
    With komp(KompAdresse(I))
    ColName = GetColN(I + COL_Namen)
    If .C < 9 Then
        Select Case (.Group)
        Case "E": Call array_push(EdukteVec, ColName)
        Case "NOP": Call array_push(NOProdukteVec, ColName)
        Case "CAT": Call array_push(CatVec, ColName)
        Case "LM": Call array_push(LMVec, ColName)
        Case "P", "O", "M", "D", "T", "I"
        If (.C <> 8) Then Call array_push(C(.C).Vec, ColName): C(.C).Len = C(.C).Len + 1
        If ((.C = 8)) Then Select Case (.Group) _
            : Case "M": Call array_push(C(.C).Vec, ColName): C(.C).Len = C(.C).Len + 1 _
            : Case "T": Call array_push(TMPVec, ColName) _
            : Case "D": Call array_push(DMHVec, ColName) _
            : End Select
        End Select
    'Case "P": Call array_push(ParaffineVec, ColName)
    'Case "O": Call array_push(OlefineVec, ColName)
    'Case "T", "M", "D": Call array_push(IsoVec, ColName)
    'Bezeichnung im Kopf der Sheets
   
    ElseIf StartC(.C) = 0 Then StartC(.C) = I
    End If
    Sheets("c").Cells(3 + AnzMess, I + COL_Namen) = "c_" & .MName & "_"
    Sheets("c").Cells(1, I + COL_Namen) = .Name
    Sheets("m%").Cells(1, I + COL_Namen) = .Name
    Sheets("n%").Cells(1, I + COL_Namen) = .Name
    Sheets("tmp").Cells(1, I + COL_Namen) = .Name
    Sheets("v%").Cells(1, I + COL_Namen) = .Name
    Sheets("RVP").Cells(1, I + COL_Namen) = .Name
    Sheets("RON").Cells(1, I + COL_Namen) = .Name
    End With
Next
StartC(17) = AnzKomp - 1
End Sub



Sub CopyErgX()
Vorlage.Activate
    If isSheet("ErgX") Then
        Vorlage.Sheets("ErgX").Copy After:=Self.Sheets("TM_PLATE")
        Else: MsgBox ("In der Datei Vorlage.xls konnte die Tabelle 'ErgX' nicht gefunden werden. Abbruch"): Exit Sub
    End If
End Sub

Sub ClearAndCopyWB()
Self.Activate
Sheets("TM_PLATE").Select
Application.DisplayAlerts = False
If isSheet("m%") Then Sheets("m%").Delete
If isSheet("c") Then Sheets("c").Delete
If isSheet("v%") Then Sheets("v%").Delete
If isSheet("tmp") Then Sheets("tmp").Delete
If isSheet("n%") Then Sheets("n%").Delete
If isSheet("DGL") Then Sheets("DGL").Delete
If isSheet("ErgX") Then Sheets("ErgX").Delete
If isSheet("ErgY") Then Sheets("ErgY").Delete
If isSheet("RON") Then Sheets("RON").Delete
If isSheet("RVP") Then Sheets("RVP").Delete
If isSheet("RVP") Then Sheets("RVP").Delete
If isSheet("Q") Then Sheets("Q").Delete
Sheets.Add After:=Worksheets(Worksheets.Count), Count:=8
Sheets(Sheets.Count - 0).Name = "tmp"
Sheets(Sheets.Count - 1).Name = "RVP"
Sheets(Sheets.Count - 2).Name = "RON"
Sheets(Sheets.Count - 5).Name = "m%"
Sheets(Sheets.Count - 6).Name = "c"
Sheets(Sheets.Count - 4).Name = "n%"
Sheets(Sheets.Count - 3).Name = "v%"
Sheets(Sheets.Count - 7).Name = "Q"
If SetDGL Then Vorlage.Sheets("DGL").Copy After:=Sheets("m%")
If SetErgX Then Call CopyErgX
End Sub

Sub Qzu()
Dim cphalbe As Double
Dim curKomp As tyKomp
Sheets("Q").Activate

For K = 2 To AnzMess + 1
    For I = 0 To AnzKomp
    ColName = GetColN(I + COL_Namen)
    Set curKomp = komp(KompAdresse(I))
    cphalbe = (curKomp.cpT(Temp(K - 2)) + curKomp.cpT(Temp(K - 1))) / 2
    If curKomp.MName <> "" Then
        Formel = "=" & cphalbe & "*mp_" & curKomp.MName & "_" & K - 1
    Else: Formel = "=" & cphalbe & "*'m%'!" & ColName & K + ROW_Edukte
    End If
    Cells(K, I + COL_Namen).FormulaLocal = Formel
    Next
Next
End Sub

Sub IntegralProdukt()
Sheets("TM_PLATE").Select
'Integral Sample (Versuchsende; Produktbehlter) und Flssiggc
If Cells(2, 3) = "Integral" Then IsIntegral = 1 Else: IsIntegral = 0
If Cells(3, 3) = "Liquid" Then IsLiquid = 1 Else IsLiquid = 0

If IsIntegral = 1 Then
    Cells(2, 4).Formula = "=Area_Produkte_" & AnzMess - IsLiquid & "/Area_STD_" & AnzMess - IsLiquid & "*mp_STD_ein "
Else: Cells(2, 4).Formula = "=ErgX!" & GetColN(A_Alkylat) & AnzMess + 1 'Wenn keine Integrale Probe genommen wurde: Mittelwert
End If
Cells(2, 4).Name = "mp_Produkt_Int"
If IsLiquid = 1 Then Cells(3, 4).Formula = "=Area_Produkte_" & AnzMess & "/Area_All_" & AnzMess
Cells(3, 4).Name = "mp_Produkt_Liq"
DiffMess = AnzMess - IsIntegral - IsLiquid
If Val(Cells(4, 11).value) > 0 Then
Cells(2, 5).Formula = "=mp_Produkt_Int*m_Produkt_g/(m_FeedCori_ein*mp_2Buten_ein*2,04)*100"
Else: Cells(2, 5).Formula = "mp_Produkt_Int*m_FeedCori_ein/(m_FeedCori_ein*mp_2Buten_ein*2,04)*100"
End If
Cells(3, 5).Formula = "mp_Produkt_Liq*m_Produkt_l/(m_FeedCori_ein*mp_2Buten_ein*2,04)*100"
'---------------------------------
End Sub

Sub Dev2011()
Dim ROW_IDX As Byte, COL_IDX As Byte
Dim Formel As String, ColName As String
Dim WorkCol As Integer
Dim hilf() As String
Dim WBName As String
Call ClearAndCopyWB
If AnzMess = 0 Then Exit Sub
Self.Activate
Sheets("TM_PLATE").Select

Call IntegralProdukt

Rows(ROW_Edukte).Insert 'Zeile hinzufgen damit der Index stimmt
Call getTempTimeFeed
SetProdukt
SetGroups
WorkCol = COL_Namen + AnzKomp
ColA = GetColN(COL_Namen)
ColB = GetColN(COL_Namen + AnzKomp)
Cells(ROW_Edukte - 1, WorkCol + COL_SumProdukte + 2) = "DMH"
Cells(ROW_Edukte - 1, WorkCol + COL_SumNOProdukte) = "Keine Produkte (ohne CX+Cat+LM+STD)"
Cells(ROW_Edukte - 1, WorkCol + COL_SumEdukte) = "Edukte"
Cells(ROW_Edukte - 1, WorkCol + COL_SumProdukte) = "Produkte C" & Cmin & "-C" & Cmax
Cells(ROW_Edukte - 1, WorkCol + COL_SumAllProdukte) = "Alle Produkte"
For K = 1 To AnzMess
    ROW_IDX = ROW_Edukte + K

    Formel = "=SUMME(" & ColA & ROW_IDX & ":" & ColB & ROW_IDX & ")" ' Summe Aller Komp.
    Cells(ROW_IDX, WorkCol + COL_SumAll).FormulaLocal = Formel
    Cells(ROW_IDX, WorkCol + COL_SumAll).Name = "Area_All_" & K
    
    Cells(ROW_IDX, WorkCol + COL_SumEdukte).Formula = "=" & Join(EdukteVec, ROW_IDX & "+") & ROW_IDX
    Cells(ROW_IDX, WorkCol + COL_SumEdukte).Name = "Area_Edukte_" & K
    
    Formel = "=" & Join(NOProdukteVec, ROW_IDX & "+") & ROW_IDX & "+SUMME(" & GetColN(StartC(Cmax + 1) + COL_Namen) & ROW_IDX & ":" & ColB & ROW_IDX & ")" & "+" & Join(CatVec, ROW_IDX & "+") & ROW_IDX & "+Area_STD_" & K & "+" & Join(LMVec, ROW_IDX & "+") & ROW_IDX
    Cells(ROW_IDX, WorkCol + COL_SumNOProdukte).FormulaLocal = Formel
    Cells(ROW_IDX, WorkCol + COL_SumNOProdukte).Name = "Area_NoProdukte_" & K
    
    Cells(ROW_IDX, WorkCol + COL_SumProdukte).Formula = "=Area_All_" & K & "-Area_Edukte_" & K & "-Area_NoProdukte_" & K
    Cells(ROW_IDX, WorkCol + COL_SumProdukte).Name = "Area_Produkte_" & K
    
    Formel = "=Area_All_" & K & "-Area_Edukte_" & K & "-" & Join(CatVec, ROW_IDX & "-") & ROW_IDX & "-Area_STD_" & K & "-" & Join(LMVec, ROW_IDX & "-") & ROW_IDX
    Cells(ROW_IDX, WorkCol + COL_SumAllProdukte).Formula = Formel
    Cells(ROW_IDX, WorkCol + COL_SumAllProdukte).Name = "Area_ProdukteAll_" & K
    
    For I = 3 To 8
        If (C(I).Len > 0) Then
            Cells(ROW_IDX, WorkCol + COL_SumProdukte + I).Formula = "=" & Join(C(I).Vec, ROW_IDX & "+") & ROW_IDX
        End If
        Cells(ROW_Edukte - 1, WorkCol + COL_SumProdukte + I) = "C" & I
        Cells(ROW_IDX, WorkCol + COL_SumProdukte + I).Name = "Area_C" & I & "_" & K
    Next
    Formel = "=" & Join(DMHVec, ROW_IDX & "+") & ROW_IDX
    
    Cells(ROW_IDX, WorkCol + COL_SumProdukte + 2).Formula = Formel
    Cells(ROW_IDX, WorkCol + COL_SumProdukte + 2).Name = "Area_DMH_" & K
    For I = 9 To 16
        Formel = "=SUMME(" & GetColN(StartC(I) + COL_Namen) & ROW_IDX & ":" & GetColN(StartC(I + 1) - 1 + COL_Namen) & ROW_IDX & ")"
        Cells(ROW_IDX, WorkCol + COL_SumProdukte + I).FormulaLocal = Formel
        Cells(ROW_IDX, WorkCol + COL_SumProdukte + I).Name = "Area_C" & I & "_" & K
        Cells(ROW_Edukte - 1, WorkCol + COL_SumProdukte + I) = "C" & I
    Next
    Names(K) = Cells(K + ROW_Edukte, 2)
Next
Call SetStandart
Call WriteInfoAndSetNames
Call SetAllNames
Call mproz
Call nVprozTMP
Call nproz
Call vProz
Call Concentration
Call RON
Call RVP
Call Qzu
If SetErgX Then Call Erg
Sheets("TM_Plate").Select
Rows(ROW_Edukte).Delete
hilf = Split(ActiveWorkbook.Name, ".")
sName = hilf(0)
If SetTimeAbb Then Call SetTime
Application.DisplayAlerts = False
If SetCP Then
    If Not ActivateWorkbook("Zusammenfassung.xls") Then
       Workbooks.Open Filename:=ActiveWorkbook.Path & "\Zusammenfassung.xls"
    
    End If
    Call CopyErgXs(sName)
End If
Application.DisplayAlerts = True
End Sub

Sub getTempTimeFeed()
Sheets("TM_Plate").Activate
SetTimeAbb = True
SetFeedAbb = True
SetTempAbb = True
If Cells(1 + ROW_Edukte, FeedCol) = "A" Then SetFeedAbb = False
If Cells(1 + ROW_Edukte, TimeCol) = 1 Then SetTimeAbb = False
If Cells(1 + ROW_Edukte, TempCol) = 1 Then SetTempAbb = False

Temp(0) = Cells(Temp0Row, TempCol)
If Temp(0) = 0 Then Temp(0) = 293 ' Wenn nichts drin steht Normaltemp annehmen

For K = 1 To AnzMess
    If SetTempAbb Then Temp(K) = Cells(K + ROW_Edukte, TempCol)
    If SetTimeAbb Then Time(K) = Cells(K + ROW_Edukte, TimeCol)
    If SetFeedAbb Then Feed(K) = Cells(K + ROW_Edukte, FeedCol)
Next
'If Temp(1) = 1 Then Call MsgBox("Keine Temperaturen eingetragen fahre mit Temp. unabhniger Berechnung fort", vbOKOnly): SetTempAbb = False
End Sub

Function isBenzin(komp As tyKomp) As Boolean
Dim tmpBool As Boolean
If IsProduct(komp.Group) And komp.C >= RonCmin And komp.C <= RonCmax Then
    tmpBool = True
Else: tmpBool = False
End If
isBenzin = tmpBool
End Function

Sub CopyErgXs(ByVal stName As String)
Dim WBSum As Workbook
Application.DisplayAlerts = False
Set WBSum = Workbooks("Zusammenfassung.xls")
If isSheet(stName) Then
    WBSum.Sheets(stName).Delete
End If
Self.Sheets("ErgX").Copy After:=WBSum.Sheets(WBSum.Worksheets.Count)
WBSum.Worksheets(WBSum.Worksheets.Count).Name = stName
WBSum.Save
WBSum.Close
End Sub

Sub mproz()
Dim Formel As String
Dim AddrStr As String

WorkCol = COL_Namen + AnzKomp
With Sheets("m%")
'.Cells(1, 1) =
For K = 1 To AnzMess
    For I = 0 To AnzKomp
        AddrStr = komp(KompAdresse(I)).MName
        ColName = GetColN(I + COL_Namen)
        ROW_IDX = ROW_Edukte + K
        If AddrStr <> "" Then
            Formel = "=Area_" & AddrStr & "_" & K & "/Area_STD_" & K & "*mp_STD_ein"
            .Cells(K + ROW_Edukte, I + COL_Namen).Name = "mp_" & AddrStr & "_" & K
        Else: Formel = "=TM_Plate!" & ColName & K + ROW_Edukte & "/Area_STD_" & K & "*mp_STD_ein"
        End If
    .Cells(K + ROW_Edukte, I + COL_Namen).FormulaLocal = Formel

    Next
    Formel = "=SUMME(" & ColA & ROW_IDX & ":" & ColB & ROW_IDX & ")" ' Summe Aller Komp.
    Cells(ROW_IDX, WorkCol + COL_SumAll).FormulaLocal = Formel

    'I-Butan berladen -> Ibutan = 1- Summe - falscher iButan Wert
    iButan_tmp = 1 - Cells(ROW_IDX, WorkCol + COL_SumAll) + Cells(ROW_IDX, iButan.Adr + COL_Namen)
    Cells(ROW_IDX, iButan.Adr + COL_Namen) = iButan_tmp
Next
End With
End Sub

Sub nVprozTMP()
Sheets("tmp").Select
Dim Formel As String
Dim AddrStr As String
Dim rhoT As Double
Voffset = 2 + AnzMess
nProdukt_offset = 4 + 2 * AnzMess
vProdukt_offset = 6 + 3 * AnzMess
vProduktRON_offset = 8 + 4 * AnzMess
Dim hilf As Double
For K = 2 To AnzMess + 1
    For I = 0 To AnzKomp
        ColName = GetColN(I + COL_Namen)
        AddrStr = komp(KompAdresse(I)).MName
        rhoT = komp(KompAdresse(I)).rhoT(Temp(K - 1))
        If (AddrStr <> "") Then
            Formel = "=mp_" & AddrStr & "_" & K - 1 & "/M_" & AddrStr
            If ((SetTempAbb) And (rhoT <> 0)) Then FormelV = "=mp_" & AddrStr & "_" & K - 1 & "/" & rhoT Else: FormelV = "=mp_" & AddrStr & "_" & K - 1 & "/Rho_" & AddrStr
            Cells(K, I + COL_Namen).Name = "n_" & AddrStr & "_" & K - 1
            Cells(K + Voffset, I + COL_Namen).Name = "v_" & AddrStr & "_" & K - 1
            Else
                Formel = "='m%'!" & ColName & K - 1 + ROW_Edukte & "/" & komp(KompAdresse(I)).Molar: _
                If ((SetTempAbb) And (rhoT <> 0)) Then FormelV = "='m%'!" & ColName & K - 1 + ROW_Edukte & "/" & rhoT Else: FormelV = "='m%'!" & ColName & K - 1 + ROW_Edukte & "/" & komp(KompAdresse(I)).rho
        End If
        Cells(K, I + COL_Namen).FormulaLocal = Formel
        Cells(K + Voffset, I + COL_Namen).FormulaLocal = FormelV ' Volumen kommen einfach drunter
        If IsProduct(komp(KompAdresse(I)).Group) Then
            Cells(K + nProdukt_offset, I + COL_Namen).FormulaLocal = "=" & ColName & K 'Wenns Produkt ist, dann einfach verknpfen ansonsten nicht
            Cells(K + vProdukt_offset, I + COL_Namen).FormulaLocal = "=" & ColName & K + Voffset
        End If
        If isBenzin(komp(KompAdresse(I))) Then
            Cells(K + vProduktRON_offset, I + COL_Namen).FormulaLocal = "=" & ColName & K + Voffset
        End If
    Next
    Formel = "=SUMME(" & ColA & K & ":" & ColB & K & ")"   ' Summe Aller Komp.
    Cells(K, COL_Namen + AnzKomp + COL_SumAll).FormulaLocal = Formel
    Cells(K, COL_Namen + AnzKomp + COL_SumAll).Name = "n_Summe_" & K - 1
    
    FormelV = "=SUMME(" & ColA & K + Voffset & ":" & ColB & K + Voffset & ")" ' Summe Aller Komp.
    Cells(K + Voffset, COL_Namen + AnzKomp + COL_SumAll).FormulaLocal = FormelV
    Cells(K + Voffset, COL_Namen + AnzKomp + COL_SumAll).Name = "V_Summe_" & K - 1
    
    'Produktsummen Stoffmenge
    Formel = "=SUMME(" & ColA & K + nProdukt_offset & ":" & ColB & K + nProdukt_offset & ")"
    Cells(K + nProdukt_offset, COL_Namen + AnzKomp + COL_SumAll).FormulaLocal = Formel
    Cells(K + nProdukt_offset, COL_Namen + AnzKomp + COL_SumAll).Name = "n_SummeAlkylat_" & K - 1
    
    'Produktsummen Volmen

    FormelV = "=SUMME(" & ColA & K + vProdukt_offset & ":" & ColB & K + vProdukt_offset & ")"
    Cells(K + vProdukt_offset, COL_Namen + AnzKomp + COL_SumAll).FormulaLocal = FormelV
    Cells(K + vProdukt_offset, COL_Namen + AnzKomp + COL_SumAll).Name = "V_SummeAlkylat_" & K - 1
    
    'Produktsummen Volmen der RON anteile definiert durch  RONCmin und RONCmax
    
    FormelV = "=SUMME(" & ColA & K + vProduktRON_offset & ":" & ColB & K + vProduktRON_offset & ")"
    Cells(K + vProduktRON_offset, COL_Namen + AnzKomp + COL_SumAll).FormulaLocal = FormelV
    Cells(K + vProduktRON_offset, COL_Namen + AnzKomp + COL_SumAll).Name = "V_SummeRON_" & K - 1
Next
Cells(2 + vProduktRON_offset, 1) = "Volumenanteilzwischenwert zur RON-Bestimmung der einzelnen Komponenten von RONCmin bis RONCmax"
Cells(2 + vProdukt_offset, 1) = "Volumenanteilzwischenwert der Produkte wie im Dialog angegeben"
Cells(2 + nProdukt_offset, 1) = "Stoffmengenanteilzwischenwert der Produkte wie im Dialog angeben "
Cells(2 + Voffset, 1) = "Volumenanteilzwischenwert aller Bestandteile"
Cells(2, 1) = "Stoffmengenanteilzwischenwert aller Bestandteile"
End Sub

Sub nproz()
Sheets("n%").Select
Dim Formel As String
Dim AddrStr As String
Dim hilf As Double
For K = 2 To AnzMess + 1
    For I = 0 To AnzKomp
        AddrStr = komp(KompAdresse(I)).MName
        ColName = GetColN(I + COL_Namen)
        Formel = "='tmp'!" & ColName & K & "/n_Summe_" & K - 1
        If (SetNP And (AddrStr <> "")) Then Cells(K, I + COL_Namen).Name = "np_" & AddrStr & "_" & K - 1
        Cells(K, I + COL_Namen).FormulaLocal = Formel
        
        'If IsProduct(komp(KompAdresse(I)).Group) Then
            'Formel = "='tmp'!" & ColName & K & "/n_SummeAlkylat_" & K - 1
            'If AddrStr <> "" Then
             '   Formel = "=n_" & AddrStr & "_" & K - 1 & "/n_SummeAlkylat_" & K - 1
            'End If
            'Cells(K + 2 + AnzMess, I + COL_Namen).FormulaLocal = Formel
            'Cells(K + 2 + AnzMess, I + COL_Namen).Name = "npAlkylat_" & AddrStr & "_" & K - 1
        'End If
    Next
Next
End Sub

Sub RON()
Sheets("RON").Select
BezinRON_offset = 2 + 1 * AnzMess
vProduktRON_offset = 8 + 4 * AnzMess
For K = 2 To AnzMess + 1
    For I = 0 To AnzKomp
        AddrStr = komp(KompAdresse(I)).MName
        ColName = GetColN(I + COL_Namen)
        Formel = ""
        If IsProduct(komp(KompAdresse(I)).Group) Then
            Formel = "='tmp'!" & ColName & K + 2 + AnzMess & "/v_SummeAlkylat_" & K - 1
            If (AddrStr = "") Then
                Formel = Formel & "*'m%'!" & ColName & idxMPRON
                Else: Formel = Formel & "*RON_" & AddrStr
            End If
            Cells(K, I + COL_Namen).FormulaLocal = Formel
        End If
        
        If isBenzin(komp(KompAdresse(I))) Then
            FormelRON = "='tmp'!" & ColName & K + 2 + AnzMess & "/v_SummeRON_" & K - 1
            If (AddrStr = "") Then
                FormelRON = FormelRON & "*'m%'!" & ColName & idxMPRON
                Else: FormelRON = FormelRON & "*RON_" & AddrStr
            End If
            Cells(K + BezinRON_offset, I + COL_Namen).FormulaLocal = FormelRON
        End If
    Next
    Formel = "=SUMME(" & ColA & K & ":" & ColB & K & ")"   ' Summe Aller Komp.
    Cells(K, COL_Namen + AnzKomp + COL_SumAll).FormulaLocal = Formel
    Cells(K, COL_Namen + AnzKomp + COL_SumAll).Name = "RON_" & K - 1
    
    Formel = "=SUMME(" & ColA & K + BezinRON_offset & ":" & ColB & K + BezinRON_offset & ")"  ' Summe Aller Komp.
    Cells(K + BezinRON_offset, COL_Namen + AnzKomp + COL_SumAll).FormulaLocal = Formel
    Cells(K + BezinRON_offset, COL_Namen + AnzKomp + COL_SumAll).Name = "RON_Benzin_" & K - 1
Next
End Sub

Sub RVP()
Sheets("RVP").Select
For K = 2 To AnzMess + 1
    For I = 0 To AnzKomp
        AddrStr = komp(KompAdresse(I)).MName
        ColName = GetColN(I + COL_Namen)
        Formel = ""
        If IsProduct(komp(KompAdresse(I)).Group) Then
            Formel = "='tmp'!" & ColName & K & "/n_SummeAlkylat_" & K - 1
            If (AddrStr = "") Then
                Formel = Formel & "*'m%'!" & ColName & idxMPRVP
                Else: Formel = Formel & "*Pi_" & AddrStr
            End If
            Cells(K, I + COL_Namen).FormulaLocal = Formel
        End If
    Next
    Formel = "=SUMME(" & ColA & K & ":" & ColB & K & ")"   ' Summe Aller Komp.
    Cells(K, COL_Namen + AnzKomp + COL_SumAll).FormulaLocal = Formel
    Cells(K, COL_Namen + AnzKomp + COL_SumAll).Name = "Pges_" & K - 1
Next
End Sub

Sub Concentration()
Sheets("c").Select
Dim Formel As String
Dim AddrStr As String
Dim hilf As Double
Cells(2, iButan.Adr + COL_Namen).Formula = "=c_iButan_ein"
Cells(2, cButen2.Adr + COL_Namen).Formula = "=c_2buten_ein"
Cells(1, COL_Namen - 1) = "Zeitpunkt t"
Cells(2, COL_Namen - 2) = 0
For K = 3 To AnzMess + 2
    For I = 0 To AnzKomp
        AddrStr = komp(KompAdresse(I)).MName
        ColName = GetColN(I + COL_Namen)
        If (AddrStr <> "") Then
            Formel = "=n_" & AddrStr & "_" & K - 2 & "/V_Summe_" & K - 2
            If SetC Then Cells(K, I + COL_Namen).Name = "c_" & AddrStr & "_" & K - 2
            Else: Formel = "='n%'!" & ColName & K & "/V_Summe_" & K - 2
        End If
        Cells(K, I + COL_Namen).FormulaLocal = Formel
    Next
    Cells(K, COL_Namen - 2) = K - 2
Next
End Sub

Sub vProz()
Sheets("v%").Select
Voffset = 2 + AnzMess
Dim Formel As String
Dim AddrStr As String
Dim hilf As Double
For K = 2 To AnzMess + 1
    For I = 0 To AnzKomp
        AddrStr = komp(KompAdresse(I)).MName
        ColName = GetColN(I + COL_Namen)
        Formel = "='tmp'!" & ColName & K + Voffset & "/V_Summe_" & K - 1
        If SetVP Then Cells(K, I + COL_Namen).Name = "vp_" & AddStr & K - 1
        Cells(K, I + COL_Namen).FormulaLocal = Formel
        
'        If IsProduct(komp(KompAdresse(I)).Group) Then
'            Formel = "='tmp'!" & ColName & K + Voffset & "/v_SummeAlkylat_" & K - 1
'            If AddrStr <> "" Then
'                Formel = "=v_" & AddrStr & "_" & K - 1 & "/v_SummeAlkylat_" & K - 1
'            End If
'            Cells(K + 2 + AnzMess, I + COL_Namen).FormulaLocal = Formel
'            Cells(K + 2 + AnzMess, I + COL_Namen).Name = "vpAlkylat_" & AddrStr & "_" & K - 1
'        End If
    Next
Next

End Sub

Sub Erg()
Dim FormelEnd As String
Dim hilf() As String
Sheets("ErgX").Select
'On Error GoTo Ende
For K = 1 To AnzMess
    Formel = ""
    Cells(K + 2, U_cButen).Formula = "=(c_2buten_ein - c_2buten_" & K & ")/c_2Buten_ein*100"
    Cells(K + 2, U_nButen).Formula = "=(np_2buten_ein - np_2buten_" & K & ")/np_2Buten_ein*100"
    Cells(K + 2, U_mButen).Formula = "=(mp_2buten_ein - mp_2buten_" & K & ")/mp_2Buten_ein*100"
    For I = Cmin To 7
        Formel = Formel & "+Area_C" & I & "_" & K
    Next
    FormelEnd = "/Area_Produkte_" & K & "*100"
    Formel = "=(" & Formel & ")" & FormelEnd
    
    hilf = Split(Sheets("TM_PLate").Cells(ROW_Edukte + K, 2), "\", -1, vbTextCompare)
    th = UBound(hilf)
    Cells(K + 2, 1) = hilf(th)
    If Not SetTempAbb Then Cells(K + 2, 2) = K
    If K = 1 Then
        Cells(K + 2, SumMasse).Formula = "=Feed_" & K & "*Time_" & K
    Else: Cells(K + 2, SumMasse).Formula = "=(Feed_" & K & ")*(Time_" & K & "-Time_" & K - 1 & ")+" & GetColN(SumMasse) & K + 1
    End If
    Cells(K + 2, S_C5_7).Formula = Formel
    Cells(K + 2, S_Isopentan).Formula = "=Area_iPentan_" & K & FormelEnd
    Cells(K + 2, S_23DMButan).Formula = "=Area_23DMButan_" & K & FormelEnd
    Cells(K + 2, S_C8).Formula = "=Area_C8_" & K & FormelEnd
    Cells(K + 2, S_C9).Formula = "=Area_C9_" & K & FormelEnd
    Cells(K + 2, S_TMP).FormulaLocal = "=Summe(" & GetColN(S_224TMP) & K + 2 & ":" & GetColN(S_233TMP) & K + 2 & ")"
    Cells(K + 2, S_DMH).Formula = "=Area_DMH_" & K & FormelEnd
    Cells(K + 2, S_224TMP).Formula = "=Area_224TMP_" & K & FormelEnd
    Cells(K + 2, S_234TMP).Formula = "=Area_234TMP_" & K & FormelEnd
    Cells(K + 2, S_233TMP).Formula = "=Area_233TMP_" & K & FormelEnd
    Cells(K + 2, S_223TMP).Formula = "=Area_223TMP_" & K & FormelEnd
    Formel = ""
    For I = 10 To Cmax
        Formel = Formel & "+Area_C" & I & "_" & K
    Next
    FormelEnd = "/Area_Produkte_" & K & "*100"
    Formel = "=(" & Formel & ")" & FormelEnd
    Cells(K + 2, S_C10).Formula = Formel
    Cells(K + 2, G_RON).Formula = "=RON_" & K
    Cells(K + 2, P_RON).Formula = "=RON_Benzin_" & K
    Cells(K + 2, PSumP) = pToRVP(Sheets("RVP").Cells(K + 1, AnzKomp + 1 + COL_Namen), T_RVP)
    Cells(K + 2, A_Alkylat).Formula = "=Area_ProdukteAll_" & K & "/Area_STD_" & K & "*mp_STD_ein/mp_2Buten_ein*100/2"
    Cells(K + 2, U_Buten_204).Formula = "=Area_ProdukteAll_" & K & "/Area_STD_" & K & "*mp_STD_ein/(mp_2Buten_ein-mp_2Buten_" & K & ")*100/2"
    Cells(K + 2, idx_TON).Formula = "=(np_2buten_ein - np_2buten_" & K & ")*Feed_" & K & "/60/n_Additiv_ein"
    Cells(K + 2, Idx_TOF).Formula = "=(np_2buten_ein - np_2buten_" & K & ")*Feed_" & K & "/60/n_Additiv_ein*(Time_" & K & "-Time_" & K - 1 & ")"
Next

If Not SetBatch Then
For K = U_cButen To U_Buten_204
    Cells(3 + AnzMess, K).FormulaLocal = "=MITTELWERT(" & GetColN(K) & "3:" & GetColN(K) & DiffMess + 2 & ")"
Next
End If
Cells(1, PSumP).AddComment
Cells(1, PSumP).Comment.Visible = False
Cells(1, PSumP).Comment.Text Text:="Funktion:" & Chr(10) & _
        "pToRVP = (10 ^ ((Log(P*14.504) - 12.82 + 7261 * 5 / (9 * T)) / (2799 * 5 / (T * 9) - 2.227))) / 14.504"
Call FormatErgCellsX
Ende:
End Sub

Sub SetProtokollNames()
If isSheet("Protokoll") Then
Sheets("Protokoll").Select
Cells(3, 4).Name = "Fritte_o"
Cells(4, 4).Name = "Fritte_u"
Cells(2, 5).Name = "x_AlCl3"
Cells(3, 5).Name = "m_dFritte_o"
Cells(4, 5).Name = "m_dFritte_u"
Cells(5, 5).Name = "Zugabe"
Cells(2, 7).Name = "V_IL_ein"
Cells(5, 7).Name = "m_Feed_ein"
Cells(1, 7).Name = "m_IL_ein"
Cells(1, 9).Name = "m_IL_aus"
Cells(2, 9).Name = "V_IL_aus"
Cells(3, 9).Name = "Additiv"
Cells(4, 9).Name = "IO_ein"
Cells(5, 9).Name = "m_FeedCori_ein"
Cells(1, 13).Name = "p_N2"
Cells(1, 11).Name = "m_IL_Raus"
Cells(2, 11).Name = "m_IL_Filter"
Cells(3, 11).Name = "m_Produkt_l"
Cells(4, 11).Name = "m_Produkt_g"
Cells(5, 11).Name = "T_Verdampfer"
Cells(2, 13).Name = "T_Begleit"
Cells(3, 13).Name = "stirrer"
Cells(4, 13).Name = "V_Additiv"
Cells(5, 13).Name = "V_Reaktor"
Cells(4, 2).Name = "Personen"
Cells(5, 2).Name = "Hplus"
End If
End Sub

Sub SetAllNames()

Sheets("TM_Plate").Select
For K = 1 To AnzMess
    For I = 0 To AnzKomp
        If (komp(KompAdresse(I)).MName <> "") Then Cells(K + ROW_Edukte, I + COL_Namen).Name = "Area_" & komp(KompAdresse(I)).MName & "_" & K
    Next
Next
'NamenTmplate = Array("n_Buten_ges", "n_Additiv_ein", "n_AlCl3_ein", "n_BmimCl_ein", "V_IL_ein", "V_Reaktor")
UnitTmplate = Array("[mol]", "[mol]", "[mol]", "[mol]", "[ml]", "[ml]")
Cells(ROW_Namen, TempCol) = "Temp [K]"
Cells(ROW_Namen, TimeCol) = "Zeit [s]"
Cells(ROW_Namen, FeedCol) = "Massenstrom [g/min]"
Cells(Temp0Row, TempCol).Name = "Temp_0"
'For I = 1 To UBound(NamenTmplate)
'    Cells(CaptionRow, I + COL_Namen) = NamenTmplate(I) & UnitTmplate(I)
'    Cells(ValueRow, I + COL_Namen).Name = NamenTmplate(I)
'Next

For K = 1 To AnzMess
    If SetTempAbb Then Cells(K + ROW_Edukte, TempCol).Name = "Temp_" & K
    If SetTimeAbb Then Cells(K + ROW_Edukte, TimeCol).Name = "Time_" & K
    If SetFeedAbb Then Cells(K + ROW_Edukte, FeedCol).Name = "Feed_" & K
Next

Sheets("m%").Select
Cells(idxMPName, COL_Namen - 1) = "Name"
Cells(idxMPRON, COL_Namen - 1) = "RON"
Cells(idxMPMolar, COL_Namen - 1) = "Molare Masse in g/mol"
Cells(idxMPRVP, COL_Namen - 1) = "RVP in bar"
Cells(idxMPrho, COL_Namen - 1) = "Dichte in g/ml"
For K = 1 To AnzMess
    For I = 0 To AnzKomp
        With komp(KompAdresse(I))
        Cells(idxMPName, I + COL_Namen) = .Name
        Cells(idxMPRON, I + COL_Namen) = .RON
        Cells(idxMPRON, I + COL_Namen).Name = "RON_" & .MName
        Cells(idxMPMolar, I + COL_Namen) = .Molar
        Cells(idxMPMolar, I + COL_Namen).Name = "M_" & .MName
        Cells(idxMPRVP, I + COL_Namen) = .Pi
        Cells(idxMPRVP, I + COL_Namen).Name = "Pi_" & .MName
        Cells(idxMPrho, I + COL_Namen) = .rho
        Cells(idxMPrho, I + COL_Namen).Name = "Rho_" & .MName
        End With
    Next
Next
End Sub

