VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "tyKomp"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Private mvar_Name As String
Private mvar_RON As Double
Private mvar_Molar As Double
Private mvar_rho As Double
Private mvar_RI As Double
Private mvar_BP As Double
Private mvar_Group As String
Private mvar_C As Byte
Private mvar_H As Byte
Private mvar_Adr As Integer
Private mvar_Pi As Double
Private mvar_Corr As Double
Private mvar_MName As String
Private rho_x(0 To 3) As Double
Private cp_x(0 To 3) As Double
Private antoine_x(0 To 3) As Double
Private Const M_C = 12.0107
Private Const M_H = 1.00794


Public Property Let Name(ByVal vdata As String)
  mvar_Name = vdata
End Property
 
' Vorname: Lesezugriff
Public Property Get Name() As String
  Name = mvar_Name
End Property

Public Property Let MName(ByVal vdata As String)
  mvar_MName = vdata
End Property
 
' Vorname: Lesezugriff
Public Property Get MName() As String
  MName = mvar_MName
End Property

Public Property Let Corr(ByVal vdata As Double)
  mvar_Corr = vdata
End Property
 
' Vorname: Lesezugriff
Public Property Get Corr() As Double
  Corr = mvar_Corr
End Property

Public Property Let RON(ByVal vdata As Double)
  mvar_RON = vdata
End Property
 
' Vorname: Lesezugriff
Public Property Get RON() As Double
  RON = mvar_RON
End Property

Public Property Let Molar(ByVal vdata As Double)
  ' Anzahl Collections-Eintrge
  mvar_Molar = vdata
End Property

Public Property Get Molar() As Double
  Molar = mvar_Molar
End Property

Public Property Let Pi(ByVal vdata As Double)
  ' Anzahl Collections-Eintrge
  mvar_Pi = vdata
End Property

Public Property Get Pi() As Double
  Pi = mvar_Pi
End Property

Public Function Sattdampf(ByVal Temp As Double) As Double
Sattdampf = 10 ^ (antoine_x(3) - antoine_x(2) / (Temp + antoine_x(1)))
End Function

Public Function rhoT(ByVal Temp As Double) As Double
rhoT = rho_x(3) * Temp ^ 3 + rho_x(2) * Temp ^ 2 + rho_x(1) * Temp + rho_x(0)
End Function

Public Function cpT(ByVal Temp As Double) As Double
cpT = cp_x(3) * Temp ^ 3 + cp_x(2) * Temp ^ 2 + cp_x(1) * Temp + cp_x(0)
End Function

Public Property Get Init(vName As String, vRon As Double, vC As Byte, vH As Byte, vBP As Double, vrho As Double, vGroup As String, vCorr As Double, vMName As String, tx() As Double, at() As Double, cps() As Double)
  ' Anzahl Collections-Eintrge
  Name = vName
  RON = vRon
  C = vC
  H = vH
  BP = vBP
  rho = vrho
  Group = vGroup
  Molar = vC * M_C + vH * M_H
  Adr = ArrayIndex(vName)
  Corr = vCorr
  MName = vMName
  For pow = 0 To 3
    cp_x(pow) = cps(pow)
    antoine_x(pow) = at(pow)
    rho_x(pow) = tx(pow)
  Next
End Property

'Public Property Let Molar(ByVal vData As Double)
'  mvar_Molar = C * M_C + H * M_H
'End Property
'
'' Vorname: Lesezugriff
'Public Property Get Molar() As Double
'  Molar = mvar_mfrac
'End Property

Public Property Let rho(ByVal vdata As Double)
  mvar_rho = vdata
End Property
 
' Vorname: Lesezugriff
Public Property Get rho() As Double
  rho = mvar_rho
End Property

Public Property Let RI(ByVal vdata As Double)
  mvar_RI = vdata
End Property
 
' Vorname: Lesezugriff
Public Property Get RI() As Double
  RI = mvar_RI
End Property


Public Property Let BP(ByVal vdata As Double)
  mvar_BP = vdata
End Property
 
' Vorname: Lesezugriff
Public Property Get BP() As Double
  BP = mvar_BP
End Property

Public Property Let Group(ByVal vdata As String)
  mvar_Group = vdata
End Property
 
' Vorname: Lesezugriff
Public Property Get Group() As String
  Group = mvar_Group
End Property

Public Property Let C(ByVal vdata As Byte)
  mvar_C = vdata
End Property
 
' Vorname: Lesezugriff
Public Property Get C() As Byte
  C = mvar_C
End Property

Public Property Let H(ByVal vdata As Byte)
  mvar_H = vdata
End Property
 
' Vorname: Lesezugriff
Public Property Get H() As Byte
  H = mvar_H
End Property

Public Property Let Adr(ByVal vdata As Integer)
  mvar_Adr = vdata
End Property
 
' Vorname: Lesezugriff
Public Property Get Adr() As Integer
  Adr = mvar_Adr
End Property
